## ros-indigo-carl-moveit 0.0.18

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(carl_moveit)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  actionlib
  actionlib_msgs
  cmake_modules
  control_msgs
  message_generation
  geometry_msgs
  roscpp
  moveit_ros_planning_interface
  pcl_conversions
  pcl_ros
  rail_manipulation_msgs
  sensor_msgs
  std_msgs
  std_srvs
  tf
  wpi_jaco_msgs
)

find_package(Eigen REQUIRED)

#######################################
## Declare ROS messages and services ##
#######################################

## Generate actions in the 'action' folder
add_action_files(
  FILES
  WipeSurface.action
)

## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
  actionlib_msgs
)

###################################################
## Declare things to be passed to other projects ##
###################################################

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also nee
catkin_package()

###########
## Build ##
###########

## Specify additional locations of header files
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${EIGEN_INCLUDE_DIRS}
)

## Declare a cpp executable
add_executable(carl_moveit_wrapper src/carl_moveit.cpp include/carl_moveit/carl_moveit.h)
add_executable(tablebot_common_actions src/common_actions.cpp)

## Specify libraries to link a library or executable target against
target_link_libraries(carl_moveit_wrapper ${catkin_LIBRARIES})
target_link_libraries(tablebot_common_actions ${catkin_LIBRARIES})

add_dependencies(carl_moveit_wrapper rail_manipulation_msgs_gencpp)
add_dependencies(tablebot_common_actions carl_moveit_gencpp rail_manipulation_msgs_gencpp)

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS carl_moveit_wrapper tablebot_common_actions
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Copy header files
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.hpp" PATTERN "*.h"
)

## Copy launch files
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

## Copy config files
install(DIRECTORY config/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config
)

=== debian/changelog ===
ros-indigo-carl-moveit (0.0.18-0trusty) trusty; urgency=high

  * Updated for new version of rail_manipulation_msgs
  * Contributors: David Kent, Russell Toris

 -- David Kent <dekent@gatech.edu>  Wed, 11 Jan 2017 05:00:00 -0000

ros-indigo-carl-moveit (0.0.17-0trusty) trusty; urgency=high

  * Update .travis.yml
  * Update .travis.yml
  * Update README.md
  * Update package.xml
  * Merge branch 'develop' of github.com:WPI-RAIL/carl_moveit into develop
  * Consolidated some messages with rail_manipulation_msgs
  * Contributors: David Kent

 -- David Kent <dekent@gatech.edu>  Tue, 23 Feb 2016 05:00:00 -0000

ros-indigo-carl-moveit (0.0.16-0trusty) trusty; urgency=high

  * Added store pose to the store action, instead of hardcoding it to CARL's storage platform
  * re-enabled collision object generation from segmented objects
  * Moved obtain object to carl_demos, as it probably won't be re-used anywhere
  * adjusted wiping motion
  * changed wiping motion
  * changed wiping motion
  * updated gripper orientation
  * started wipe server
  * Added wipe surface action
  * Updated store action
  * Debugging store action
  * Debugging store action.
  * Added a pickup action where an object name can be specified
  * Detached picked up objects on store action execution
  * store bug fix
  * store bug fix
  * Added store action for storing objects in a container on CARL's platform
  * Update .travis.yml
  * Contributors: David Kent, Russell Toris

 -- David Kent <davidkent@wpi.edu>  Tue, 18 Aug 2015 04:00:00 -0000

ros-indigo-carl-moveit (0.0.15-0trusty) trusty; urgency=high

  * Merge branch 'develop' of github.com:WPI-RAIL/carl_moveit into develop
  * Added feedback to arm actions, fixed a bug with pickup for objects in the map frame
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Wed, 29 Apr 2015 04:00:00 -0000

ros-indigo-carl-moveit (0.0.14-0trusty) trusty; urgency=high

  * Merge branch 'develop' of github.com:WPI-RAIL/carl_moveit into develop
  * minor fixes
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Mon, 27 Apr 2015 04:00:00 -0000

ros-indigo-carl-moveit (0.0.13-0trusty) trusty; urgency=high

  * changelog reverted
  * Merge branch 'develop' of github.com:WPI-RAIL/carl_moveit into develop
  * changelog updated
  * Added threshold for attaching scene objects to the robot end-effector
  * Debug statement cleanup
  * Approach angle fix
  * Connected pickup action with scene object attaching
  * Added fingers as allowable touch links for scene object attachment
  * Merge branch 'develop' of github.com:WPI-RAIL/carl_moveit into develop
  * Support for scene collision objects from segmented/recognized object data
  * Contributors: David Kent, Russell Toris

 -- David Kent <davidkent@wpi.edu>  Wed, 22 Apr 2015 04:00:00 -0000

ros-indigo-carl-moveit (0.0.12-0trusty) trusty; urgency=high

  * Scene object adjustment
  * bug fix
  * moveit planning scene collision object test
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Tue, 14 Apr 2015 04:00:00 -0000

ros-indigo-carl-moveit (0.0.11-0trusty) trusty; urgency=high

  * Removed some unnecessary output
  * Clear octomap after the jaco arm homes using the kinova api
  * Enabled clear_octomap service
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Fri, 03 Apr 2015 04:00:00 -0000

ros-indigo-carl-moveit (0.0.10-0trusty) trusty; urgency=high

  * Minor action renaming
  * Updated method documentation
  * Added grasp_joint to the arm planning group, bugfixes on pickup trajectory execution
  * Added pickup action, changed end effector link to use jaco_link_eef instead of jaco_link_hand
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Tue, 31 Mar 2015 04:00:00 -0000

ros-indigo-carl-moveit (0.0.9-0trusty) trusty; urgency=high

  * Merge branch 'develop' of github.com:WPI-RAIL/carl_moveit into develop
  * Changed the ready arm action to a general arm actions server which can currently either READY or RETRACT the arm
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Fri, 27 Mar 2015 04:00:00 -0000

ros-indigo-carl-moveit (0.0.8-0trusty) trusty; urgency=high

  * Updated IK and MoveToPose to use stamped poses instead of base_footprint frame poses
  * Removed run dependency on moveit visualization
  * Update CMakeLists.txt
  * Update .travis.yml
  * lift server start
  * Planning-based hand lift
  * Output message when arm is already retracted
  * retract bug fix
  * Added check if arm is already retracted before performing a home->retract action
  * Cancel retract if home fails
  * Better failure detection on joint pose goal planning and moving
  * Merge branch 'develop' of github.com:WPI-RAIL/carl_moveit into develop
  * Error code debugging on failed moveToPose
  * Contributors: David Kent, Russell Toris

 -- David Kent <davidkent@wpi.edu>  Tue, 24 Mar 2015 04:00:00 -0000

ros-indigo-carl-moveit (0.0.7-0trusty) trusty; urgency=high

  * Documentation
  * Common action preemtion during retract
  * Merge branch 'develop' of github.com:WPI-RAIL/carl_moveit into develop
  * Common action preempting
  * Update .travis.yml
  * Contributors: David Kent, Russell Toris

 -- David Kent <davidkent@wpi.edu>  Tue, 17 Feb 2015 05:00:00 -0000

ros-indigo-carl-moveit (0.0.6-0trusty) trusty; urgency=high

  * Updated launch file; changed preempted ready action behavior
  * Common motion planning actions, such as readying and retracting the JACO arm
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Fri, 06 Feb 2015 05:00:00 -0000

ros-indigo-carl-moveit (0.0.5-0trusty) trusty; urgency=high

  * Merge branch 'develop' of github.com:WPI-RAIL/carl_moveit into develop
  * Tuned jump threshold for Cartesian movement
  * Update .travis.yml
  * Update .travis.yml
  * Update .travis.yml
  * Update .travis.yml
  * Contributors: David Kent, Russell Toris

 -- David Kent <davidkent@wpi.edu>  Wed, 21 Jan 2015 05:00:00 -0000



=== debian/control ===
Source: ros-indigo-carl-moveit
Section: misc
Priority: extra
Maintainer: David Kent <dekent@gatech.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-carl-description, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-control-msgs, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-moveit-ros-planning-interface, ros-indigo-pcl-conversions, ros-indigo-pcl-ros, ros-indigo-rail-manipulation-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf, ros-indigo-wpi-jaco-msgs
Homepage: http://ros.org/wiki/carl_moveit
Standards-Version: 3.9.2

Package: ros-indigo-carl-moveit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-carl-description, ros-indigo-control-msgs, ros-indigo-geometry-msgs, ros-indigo-joint-state-publisher, ros-indigo-message-runtime, ros-indigo-moveit-planners-ompl, ros-indigo-moveit-ros-move-group, ros-indigo-moveit-ros-planning-interface, ros-indigo-pcl-conversions, ros-indigo-pcl-ros, ros-indigo-rail-manipulation-msgs, ros-indigo-robot-state-publisher, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-wpi-jaco-msgs, ros-indigo-xacro
Description: MoveIt! Configuration and ROS Interface for CARL

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-carl-moveit//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
